body {
  background-color: #ffffff;

  position: relative;
}

/************************************* Header *************************************/

#header {
  padding: 0.3rem 0;

  position: sticky;
  top: 0;
  width: 100%;

  display: flex;
  flex-direction: column;
  gap: 0.5rem;

  transition: background 0.3s;
  background-color: #ffffff;
  z-index: 2;
}

#header div {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#header .logo {
  height: 3.5rem;
  width: 7rem;

  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;

  cursor: pointer;
}

#header .button_menu {
  display: none;

  border: none;
  background-color: transparent;

  height: 2rem;
  margin-top: 0.4rem;

  cursor: pointer;

  font-size: 2rem;
  color: #085a70;
}

#header .nav_mobile {
  display: none;
}

#header .nav_desktop button {
  border: none;
  background-color: transparent;

  color: #085a70;
  font-size: 0.875rem;
  font-weight: 700;

  cursor: pointer;
}

#header .nav_mobile.open button {
  background-color: transparent;
  border: none;

  width: 100%;
  padding: 0.2rem 0;

  font-size: 0.875rem;
  font-weight: 700;
  color: #085a70;
}

@media (max-width: 768px) {
  #header {
    padding-left: 1rem;
    padding-right: 1rem;
    background-color: #e0e0e0;
  }

  #header .nav_desktop {
    display: none;
  }

  #header .button_menu {
    display: block;
  }

  #header .nav_mobile.open {
    display: flex;
  }

  #header .nav_mobile.open ul {
    flex: 1;
    display: flex;
    flex-direction: column;
  }
}

@media (min-width: 769px) and (max-width: 1023px) {
  #header {
    padding-left: 10%;
    padding-right: 10%;
  }

  #header .nav_desktop ul {
    display: flex;
    gap: 1rem;
  }
}

@media (min-width: 1024px) {
  #header {
    padding-left: 10%;
    padding-right: 10%;
  }

  #header .nav_desktop ul {
    display: flex;
    gap: 3.125rem;
  }
}

/************************************* About us *************************************/

#about-us {
  height: 54.5rem;
  padding-top: 4.5rem;

  display: flex;
  justify-content: space-between;

  position: relative;
}

#about-us .img_container {
  position: absolute;

  top: 2rem;
  right: 5%;
  z-index: -1;

  height: 100%;
  overflow: hidden;

  display: flex;
  align-items: center;
  justify-content: center;
}

#about-us .img_container img {
  width: 900px;

  margin-top: 180px;
}

#about-us > div {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

#about-us h2 {
  font-size: 3rem;
  font-weight: 700;
  color: #085a70;

  max-width: 40rem;
}

#about-us p {
  font-size: 1.4rem;
  color: #085a70;
  font-weight: 400;
  line-height: 2.2rem;

  max-width: 30rem;
}

#about-us div div {
  display: flex;
  gap: 1rem;
}

#about-us button {
  padding: 1rem 5rem;
  border: none;
  border-radius: 0.5rem;

  font-size: 1.3rem;
  font-weight: 600;

  cursor: pointer;

  transition-duration: 0.3s;

  user-select: none;
}

#about-us button:first-child {
  background-color: #f99090;

  color: #f2f2f2;
}

#about-us button:first-child:hover {
  background-color: #e48383;
}

#about-us button:last-child {
  border: 2px solid #085a70;
  background-color: #ffffff;

  color: #085a70;
}

#about-us button:last-child:hover {
  background-color: #085a70;

  color: #ffffff;
}

@media (max-width: 619px) {
  #about-us {
    justify-content: center;

    padding: 3rem 2rem 4rem 2rem;
    height: auto;
  }

  #about-us h2 {
    font-size: 2rem;
    text-align: center;
  }

  #about-us img {
    display: none;
  }

  #about-us > div {
    gap: 1rem;
    align-items: center;
  }

  #about-us p {
    font-size: 1.2rem;
    text-align: center;
  }

  #about-us > div div {
    flex-direction: column;
    width: 100%;
  }

  #about-us button {
    width: 100%;
    font-size: 1.1rem;
  }
}

@media (min-width: 620px) and (max-width: 1229px) {
  #about-us img {
    display: none;
  }

  #about-us {
    height: auto;
    justify-content: center;

    padding: 3rem 2rem 4rem 2rem;
    height: auto;
  }

  #about-us > div {
    align-items: center;
  }

  #about-us h2 {
    text-align: center;
  }

  #about-us p {
    text-align: center;
  }
}

@media (min-width: 1230px) and (max-width: 1499px) {
  #about-us {
    height: 35rem;

    padding-left: 10%;
  }

  #about-us .img_container img {
    width: 600px !important;
    margin-top: 150px !important;
  }
}

@media (min-width: 1500px) and (max-width: 1799px) {
  #about-us {
    padding-left: 15%;
  }

  #about-us .img_container img {
    width: 800px !important;
    margin-top: 80px !important;
  }
}

@media (min-width: 1800px) {
  #about-us {
    padding-left: 20%;
  }
}

/************************************* Services *************************************/

#services {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4rem;
  padding: 5rem 1rem 2.5rem 1rem;
}

#services h2 {
  font-size: 3rem;
  font-weight: 700;
  color: #085a70;
  text-align: center;

  max-width: 35rem;
}

#services > div {
  display: flex;
  justify-content: center;
  gap: 3rem;
  flex-wrap: wrap;

  max-width: 100rem;
}

#services article {
  background-color: #f5f5f5;
  border-radius: 1.5rem;

  padding: 3rem;
  max-width: 27rem;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.6rem;
}

#services article h3 {
  color: #37464f;
  font-weight: 700;
  font-size: 1.5rem;
  text-align: center;
}

#services article p {
  color: #37464f;
  line-height: 1.6rem;
  font-size: 1.2rem;
  text-align: center;
}

#services article img {
  width: 12rem;
  height: 12rem;

  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
}

@media (max-width: 619px) {
  #services article {
    padding: 1.5rem 2rem;
    gap: 0.4rem;
  }

  #services h2 {
    font-size: 2rem;
  }

  #services article h3 {
    font-size: 1.3rem;
  }

  #services article p {
    font-size: 1rem;
  }
}

/************************************* Contact *************************************/

#contact {
  display: flex;
  flex-direction: column;
  align-items: center;

  padding: 2.5rem 1rem;
}

#contact h2 {
  font-size: 3rem;
  font-weight: 700;
  color: #085a70;
}

#contact h4 {
  font-size: 1rem;
  font-weight: 500;
  color: #37464f;

  margin-bottom: 2.5rem;
}

#contact .form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

#contact .form div {
  display: flex;
  gap: 1rem;

  flex-wrap: wrap;
}

#contact .form label {
  flex: 1;

  display: flex;
  flex-direction: column;
  gap: 0.2rem;

  color: #37464f;

  font-size: 0.9rem;
}

#contact .form input {
  padding: 1rem;
  width: 15rem;

  background-color: #f5f5f5;
  outline-color: #e0e0e0;
  border: 1px solid #e0e0e0;

  border-radius: 0.3rem;
}

#contact .form input:disabled {
  opacity: 0.5;
}

#contact .form label span {
  color: red;
  font-size: 0.7rem;
}

#contact .form textarea {
  padding: 1rem;

  background-color: #f5f5f5;
  outline-color: #e0e0e0;
  border: 1px solid #e0e0e0;
  border-radius: 0.3rem;

  resize: vertical;

  min-height: 10rem;
}

#contact .form textarea:disabled {
  opacity: 0.5;
}

#contact .form button {
  max-width: 15rem;

  height: 3.3rem;
  border: none;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;

  border-radius: 0.3rem;

  color: white;
  font-weight: 500;
  font-size: 1rem;

  background-color: #085064;

  cursor: pointer;

  transition-duration: 0.3s;
}

#contact .form button:disabled {
  opacity: 0.6;
  cursor: default;
}

#contact .form button:not(:disabled)hover {
  background-color: #094252;
}

@media (max-width: 619px) {
  #contact h4 {
    margin-bottom: 1.5rem;
  }

  #contact h2 {
    font-size: 2rem;
  }
}

@media (max-width: 800px) {
  #contact h4 {
    text-align: center;
  }

  #contact .form {
    flex: 1;
    width: 100%;
  }

  #contact .form div input {
    width: auto;
    flex: 1;
  }
}

/************************************* Footer *************************************/

#footer {
  margin-top: 3rem;

  height: 12rem;

  display: flex;
  justify-content: center;
  align-items: center;
}

#footer > div {
  display: flex;
  gap: 1rem;
}

#footer > div > div {
  display: flex;
  flex-direction: column;
  justify-content: center;

  margin-top: 2rem;
}

#footer img {
  height: 8rem;
  width: 12rem;

  -webkit-user-drag: none;
  -khtml-user-drag: none;
  -moz-user-drag: none;
  -o-user-drag: none;
}

#footer a {
  color: #37464f;
  text-decoration: underline;
}

#footer p {
  display: flex;
  align-items: center;
  gap: 0.4rem;

  color: #37464f;
  font-weight: 500;
}

#footer span {
  margin-top: 0.5rem;
  font-size: 1.3rem;
}

@media (max-width: 555px) {
  #footer > div {
    flex-direction: column;
    align-items: center;
  }

  #footer > div > div {
    margin-top: 0;

    align-items: center;
  }
}
